Module org.jboss.classfilewriter
Package org.jboss.classfilewriter.annotations

# Enum AnnotationsAttribute.Type

java.lang.Object
java.lang.Enum<AnnotationsAttribute.Type>
org.jboss.classfilewriter.annotations.AnnotationsAttribute.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<AnnotationsAttribute.Type>`, `java.lang.constant.Constable`

Enclosing class:
  `AnnotationsAttribute`

public static enum AnnotationsAttribute.Type extends Enum<AnnotationsAttribute.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`RUNTIME_INVISIBLE`
`RUNTIME_VISIBLE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTag()`
`static AnnotationsAttribute.Type`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AnnotationsAttribute.Type[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RUNTIME_VISIBLE

public static final AnnotationsAttribute.Type RUNTIME_VISIBLE

### RUNTIME_INVISIBLE

public static final AnnotationsAttribute.Type RUNTIME_INVISIBLE

## Method Details

### values

public static AnnotationsAttribute.Type[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AnnotationsAttribute.Type valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getTag

public String getTag()